class AppApi {
  static const String BANNER = 'banner';
  static const String BASE_CONFIG = 'config/baseConfig'; // 获取系统配置接口，登录前用
  static const String IMAGE_UPLOAD = 'fileUpload'; // 图片上传
  static const String IMAGE_STATIC = 'static/'; // 图片显示静态路径
  static const String USER_LOGIN = "user/appLogin"; //登录
  static const String USER_LOGOUT = "user/logout"; //退出
  static const String USER_INFO = "user/info"; // 获取用户信息

  // 巡检记录
  static const String inspection_list = 'inspection/search'; // 巡检记录列表
  static const String inspection_add = 'inspection/add'; // 添加巡检记录
  static const String inspection_info = 'inspection/info'; // 巡检记录详情

  // 文章
  static const String article_list = 'article/list'; // 文章列表

  // 拼接url
  static String getPath({String path: '', int page, String resType: ''}) {
    StringBuffer sb = new StringBuffer(path);
    if (page != null) {
      sb.write('/$page');
    }
    if (resType != null && resType.isNotEmpty) {
      sb.write('/$resType');
    }
    return sb.toString();
  }
}
